%global engine_doc %{_docdir}/ovirt-engine/manual
%global locale en-US
%global beta 0
%global product_line 3.2
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:           rhevm-doc
Version:        %{product_line}.1
Release:	2%{?dist}

Summary:        Red Hat Enterprise Virtualization documentation
Group:          Documentation
License:        CC-BY-SA
URL:            http://docs.redhat.com
Source:         %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	  publican-common-web
BuildRequires:    Red_Hat_Enterprise_Linux-Hypervisor_Deployment_Guide-6-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Linux-V2V_Guide-6-web-%{locale}

BuildRequires:    Red_Hat_Enterprise_Virtualization-Administration_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Installation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Developer_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Evaluation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Power_User_Portal_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Quick_Start_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-User_Portal_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-%{product_line}%{?depsuffix}-web-%{locale}

%description

This package contains the Red Hat Enterprise Virtualization 
documentation in html and pdf format.

%prep
%setup -q -c .

%build

%install
rm -rf "%{buildroot}"

mkdir -p "%{buildroot}%{engine_doc}/%{locale}"
cp -r DocumentationPath.csv UserPortalDocumentationPath.csv RedHat common "%{buildroot}%{engine_doc}"
cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_{Virtualization,Linux}/*/html "%{buildroot}%{engine_doc}/%{locale}"
cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_{Virtualization,Linux}/*/pdf "%{buildroot}%{engine_doc}/%{locale}"

# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}
find "%{buildroot}%{engine_doc}/%{locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q Beta; then
        mv "${f}" "$(echo "${f}" | sed 's/%{depsuffix}//')"
    fi
done
%endif

find "%{buildroot}%{engine_doc}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

%files 
%defattr(-,root,root,-)
%{engine_doc}

%changelog
* Tue Jun 25 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.1-2
- 3.2.1-2

* Tue Jun 25 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.1-1
- 3.2.1-1

* Mon Jun 03 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-4
- Resolves: BZ#921688

* Mon May 29 2013 Ohad Basan <obasan@redhat.com> - 3.2.0-3
- 3.2.0-3

* Mon May 20 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-2
- 3.2.0-2

* Mon May 13 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-1
- 3.2.0-1

* Tue May 08 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.6.beta
- 3.2.0-0.6.beta

* Tue Apr 09 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.5.beta
- 3.2.0-0.5.beta

* Wed Mar 20 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.4.beta
- Resolves: BZ#921688 BZ#882284

* Thu Mar 14 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.3.beta
- 3.2.0-0.3.beta

* Mon Mar 04 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.2.beta
- 3.2.0-0.2.beta

* Thu Feb 28 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.0.beta
- 3.2.0-0.0.beta
